Juno

REST API quickstart

Use an issued key to create the study, check its job, simulate the interview, set mode to live, and get the invite link.

7 steps4 min read

First study

1. Check API key

curl https://api.heyjuno.co/v1/api/me \
  -H "Authorization: Bearer $JUNO_API_KEY"

2. Create study

curl -X POST https://api.heyjuno.co/v1/api/studies \
  -H "Authorization: Bearer $JUNO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "guidance": "Interview churned customers about why they left" }'

3. Check study job

curl https://api.heyjuno.co/v1/api/studies/jobs/{job_id} \
  -H "Authorization: Bearer $JUNO_API_KEY"

4. Simulate interview

curl -X POST https://api.heyjuno.co/v1/api/studies/{study_id}:simulate \
  -H "Authorization: Bearer $JUNO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'

5. Check simulation

curl https://api.heyjuno.co/v1/api/simulations/{job_id} \
  -H "Authorization: Bearer $JUNO_API_KEY"

6. Set study mode

curl -X PUT https://api.heyjuno.co/v1/api/studies/{study_id}/mode \
  -H "Authorization: Bearer $JUNO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "mode": "live" }'

7. Get invite link

curl https://api.heyjuno.co/v1/api/studies/{study_id}/interview-link \
  -H "Authorization: Bearer $JUNO_API_KEY"